=== modified file 'geoname-modpython.py'
--- geoname-modpython.py	2010-09-09 14:05:12 +0000
+++ geoname-modpython.py	2011-04-05 19:00:42 +0000
@@ -18,6 +18,7 @@
     if fs.has_key('query'):
         client = sphinxapi.SphinxClient()
         client.SetServer('localhost', 3312)
+        client.SetSortMode(sphinxapi.SPH_SORT_ATTR_DESC, 'population')
         result = client.Query(fs['query'])
         if result:
             result = result['matches']

=== modified file 'geoname.py'
--- geoname.py	2010-09-09 14:05:12 +0000
+++ geoname.py	2011-04-05 19:00:42 +0000
@@ -20,6 +20,7 @@
     def index(self, query=""):
         client = sphinxapi.SphinxClient()
         client.SetServer('localhost', 3312)
+        client.SetSortMode(sphinxapi.SPH_SORT_ATTR_DESC, 'population')
         result = client.Query(query)
         if result:
             result = result['matches']

=== modified file 'sphinx.conf'
--- sphinx.conf	2010-09-03 07:35:55 +0000
+++ sphinx.conf	2011-04-05 19:00:42 +0000
@@ -5,8 +5,9 @@
 sql_user = geouser
 sql_pass = geopw
 sql_db = geonames
-# TODO order by population, filter out lakes and other non-cities.
-sql_query = SELECT geoname.geonameid, geoname.name, geoname.alternatenames FROM geoname
+# TODO filter out lakes and other non-cities
+sql_query = SELECT geoname.geonameid, geoname.name, geoname.alternatenames, geoname.population AS population FROM geoname
+sql_attr_uint = population
 }
 
 index geonames

